class UserProgressForTodayDataModel {
  dynamic quantityConsumed;
  dynamic percentageConsumed;
  dynamic percentageLeft;
  dynamic quantityLimit;

  UserProgressForTodayDataModel(
      {this.quantityConsumed,
        this.percentageConsumed,
        this.percentageLeft,
        this.quantityLimit});

  UserProgressForTodayDataModel.fromJson(Map<String, dynamic> json) {
    quantityConsumed = json['QuantityConsumed'];
    percentageConsumed = json['PercentageConsumed'];
    percentageLeft = json['PercentageLeft'];
    quantityLimit = json['QuantityLimit'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['QuantityConsumed'] = this.quantityConsumed;
    data['PercentageConsumed'] = this.percentageConsumed;
    data['PercentageLeft'] = this.percentageLeft;
    data['QuantityLimit'] = this.quantityLimit;
    return data;
  }
}
